MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions

# src/timer.h File Reference

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures
struct | _Timer
## Typedefs
typedef struct _Timer | Timer
## Functions
Timer * | timer_new (const struct audio_format *af)
void | timer_free (Timer *timer)
void | timer_start (Timer *timer)
void | timer_reset (Timer *timer)
void | timer_add (Timer *timer, int size)
unsigned | timer_delay (const Timer *timer)
| Returns the number of milliseconds to sleep to get back to sync.
void | timer_sync (Timer *timer)

## Typedef Documentation

typedef struct _Timer Timer

## Function Documentation

void timer_add | ( | Timer * | timer,
|  | int | size
| ) |  |

unsigned timer_delay | ( | const Timer * | timer | ) |

Returns the number of milliseconds to sleep to get back to sync.

void timer_free | ( | Timer * | timer | ) |

Timer* timer_new | ( | const struct audio_format * | af | ) |

void timer_reset | ( | Timer * | timer | ) |

void timer_start | ( | Timer * | timer | ) |

void timer_sync | ( | Timer * | timer | ) |